package com.cool.store.mapper;

import com.cool.store.entity.HyPartnerClerkDO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author zhangchenbiao
 * @date 2023-05-29 03:51
 */
public interface HyPartnerClerkMapper {
    /**
     *
     * 默认插入方法，只会给有值的字段赋值
	 * 会对传进来的字段做判空处理，如果字段为空，则使用数据库默认字段或者null
     * dateTime:2023-05-29 03:51
     */
    int insertSelective(@Param("record") HyPartnerClerkDO record);

    /**
     *
     * 默认更新方法，根据主键更新，不会把null值更新到数据库，避免覆盖之前有值的
     * dateTime:2023-05-29 03:51
     */
    int updateByPrimaryKeySelective(@Param("record") HyPartnerClerkDO record);

    List<HyPartnerClerkDO> getHyPartnerClerkList(@Param("lineId") Long lineId);


    int batchInsert(@Param("recordList") List<HyPartnerClerkDO> recordList);

    void deleteByPartnerIdAndLineId(@Param("partnerId") String partnerId, @Param("partnerLineId") Long partnerLineId);

    /**
     * 查询店员信息
     * @return
     */
    List<HyPartnerClerkDO> listByPartnerIdAndLineId(@Param("partnerId") String partnerId,
                                          @Param("partnerLineId") Long partnerLineId);

    int updateLineId(@Param("newPartnerId")String newPartnerId,@Param("newLineId") Long newLineId, @Param("oldLineId") Long oldLineId);

}